API reference
Fetch one webhook subscription by id (secret masked).
https://api.betterpost.dev/v1/notifications/{id}| Name | Description |
|---|---|
id | The subscription id, for example ntf_6w2h9k4b1q7s3e8d0f5g2j4l. |
curl -s https://api.betterpost.dev/v1/notifications/ntf_6w2h9k4b1q7s3e8d0f5g2j4l \
-H "x-access-key: $BETTERPOST_API_KEY"200 OK
{
"success": true,
"notification": {
"id": "ntf_6w2h9k4b1q7s3e8d0f5g2j4l",
"channel": "webhook",
"profileId": null,
"eventTypes": [
"post.published",
"post.partial",
"post.failed"
],
"onlyScheduledPosts": false,
"enabled": true,
"webhook": {
"url": "https://app.example.com/webhooks/betterpost",
"secret": "whsec_••••0sFa"
},
"lastTestAt": null,
"lastTestStatus": null,
"createdAt": "2026-10-21T15:30:00.000Z",
"updatedAt": "2026-10-21T15:30:00.000Z"
}
}| Status | Code | When |
|---|---|---|
200 | Success. | |
401 | unauthorized | Missing or unknown API key. |
429 | rate_limited | More than 120 requests per minute. |
404 | not_found | No such subscription in this project. |